Subject: RE: cvs connection refused (was: Re: setup.exe)
From: Troy Noble <[email-masked]>
To: "'Goren Il'" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 29 Aug 2001 08:24:25 -0600

Just a shot in the dark... are you sure you are using
the cygwin contributed cvs and not the win32 native
version of cvs?  I've sometimes had troubles using the native
win32 version (which comes with WinCVS BTW).
Maybe you need to check your PATH to see if you're picking
up the wrong cvs.exe?

bash% type cvs
cvs is /bin/cvs
.../src$ cygcheck -v cvs
Found: c:\cygwin\bin\cvs.exe
c:\cygwin\bin\cvs.exe - os=4.0 img=1.0 sys=4.0
  c:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
    "cygwin1.dll" v0.0 ts=2001/7/18 6:10
    C:\WINNT\System32\KERNEL32.dll - os=5.0 img=5.0 sys=4.0
      "KERNEL32.dll" v0.0 ts=2000/11/21 22:50
      C:\WINNT\System32\NTDLL.DLL - os=5.0 img=5.0 sys=4.0
        "ntdll.dll" v0.0 ts=2000/11/21 23:32
  c:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
    "cyggdbm.dll" v0.0 ts=2000/10/22 20:26
    c:\cygwin\bin\cygwin1.dll (already done)
    C:\WINNT\System32\KERNEL32.dll (already done)
  C:\WINNT\System32\KERNEL32.dll (already done)

Also, are you behind a firewall by chance?  Maybe they
haven't opened the port.  Or if you were able to get
there in the past, maybe someone at your site closed
down the port recently?  The port# appears to be 2401,
when I'm running "cvs update winsup" I see:

  TCP    x.x.x.x:1067     209.249.29.67:2401     ESTABLISHED

Troy

-----Original Message-----
From: Goren Il [mailto:[email-masked]]
Sent: Wednesday, August 29, 2001 9:14 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: cvs connection refused (was: Re: setup.exe)

Sorry - same effect (connection refused after the login).
Does anybody have any clue what the problem might be?

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Goren Il" <[email-masked]>; <[email-masked]>
Sent: Wednesday, August 29, 2001 1:01 PM
Subject: Re: cvs connection refused (was: Re: setup.exe)

> > Goren Il schrieb am 2001-08-29 9:35:
>
> >I tried the same (even running cvs from rxvt!) - still I get "connection
> >refused".
>
> I tried with wincvs. I saw the same behaviour as you described.
> I t turns out that i have forgotten to 'login' before updating.
> The settings are:
> ctrl+F1 -> enter correct CVSROOT:
:pserver:[email-masked]:/cvs/src
> Select "passwd" file at the server
> use version cvs 1.10 (standard)
> At first now you need to login: 'Admin' -> 'Login'
> enter the password.
> Then do a checkout or update.
>
> >Is there any restriction on the connecting computer?
>
> No.
>
> >Should I define something on my Win2K machine (enable SSH, configure it
> >somehow, etc.)?
>
> No.
>
> Gerrit
>
> --
> =^..^=
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/